Create User
curl --request POST \
--url https://api.glass.fm/v2/action/glasscore/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nameFirst": "<string>",
"nameLast": "<string>",
"RoleId": 123,
"avatar": "<string>",
"email": "<string>",
"getInvoiceEmail": true,
"getMarketingEmail": true,
"getMarketingText": true,
"getOrderItemRegistrationEmail": true,
"getOrderItemRegistrationText": true,
"getOrderItemResultEmail": true,
"getOrderItemResultText": true,
"getOrderItemStatusEmail": true,
"getOrderItemStatusText": true,
"getOrgMonthRandomsEmail": true,
"isInvited": true,
"isSuspended": true,
"nickname": "<string>",
"PersonId": 123,
"phone": "<string>",
"UserOverride": [
{
"EntityId": 123,
"UserId": 123,
"add": "<string>",
"blockDrop": true,
"delete": "<string>",
"edit": "<string>",
"get": "<string>"
}
]
}
'import requests
url = "https://api.glass.fm/v2/action/glasscore/user"
payload = {
"nameFirst": "<string>",
"nameLast": "<string>",
"RoleId": 123,
"avatar": "<string>",
"email": "<string>",
"getInvoiceEmail": True,
"getMarketingEmail": True,
"getMarketingText": True,
"getOrderItemRegistrationEmail": True,
"getOrderItemRegistrationText": True,
"getOrderItemResultEmail": True,
"getOrderItemResultText": True,
"getOrderItemStatusEmail": True,
"getOrderItemStatusText": True,
"getOrgMonthRandomsEmail": True,
"isInvited": True,
"isSuspended": True,
"nickname": "<string>",
"PersonId": 123,
"phone": "<string>",
"UserOverride": [
{
"EntityId": 123,
"UserId": 123,
"add": "<string>",
"blockDrop": True,
"delete": "<string>",
"edit": "<string>",
"get": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nameFirst: '<string>',
nameLast: '<string>',
RoleId: 123,
avatar: '<string>',
email: '<string>',
getInvoiceEmail: true,
getMarketingEmail: true,
getMarketingText: true,
getOrderItemRegistrationEmail: true,
getOrderItemRegistrationText: true,
getOrderItemResultEmail: true,
getOrderItemResultText: true,
getOrderItemStatusEmail: true,
getOrderItemStatusText: true,
getOrgMonthRandomsEmail: true,
isInvited: true,
isSuspended: true,
nickname: '<string>',
PersonId: 123,
phone: '<string>',
UserOverride: [
{
EntityId: 123,
UserId: 123,
add: '<string>',
blockDrop: true,
delete: '<string>',
edit: '<string>',
get: '<string>'
}
]
})
};
fetch('https://api.glass.fm/v2/action/glasscore/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
User
Create User
Create a new User
POST
/
v2
/
action
/
glasscore
/
user
Create User
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The user's first name.
Minimum string length:
1The user's last name.
Minimum string length:
1Identifier for the user's role or permission level.
URL or identifier for the user's profile image.
The email address associated with the user's account.
Indicates whether the user has been invited but not yet registered.
Indicates whether the user's account is currently suspended.
Identifier for the associated person record, nullable if not linked.
The user's phone number.
Show child attributes
Show child attributes
Response
200
User
⌘I

